org.apache.synapse.commons.staxon.core.base

## Class AbstractXMLOutputFactory

- java.lang.Object
- - javax.xml.stream.XMLOutputFactory
  - - org.apache.synapse.commons.staxon.core.base.AbstractXMLOutputFactory

- Direct Known Subclasses:
    JsonXMLOutputFactory

      public abstract class AbstractXMLOutputFactory
      extends javax.xml.stream.XMLOutputFactory

  Abstract XML output factory.

- - ### Field Summary

    - ### Fields inherited from class javax.xml.stream.XMLOutputFactory

      `IS_REPAIRING_NAMESPACES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractXMLOutputFactory()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.xml.stream.XMLEventWriter` | `createXMLEventWriter(java.io.OutputStream stream)`
    `javax.xml.stream.XMLEventWriter` | `createXMLEventWriter(java.io.OutputStream stream, java.lang.String encoding)`
    `javax.xml.stream.XMLEventWriter` | `createXMLEventWriter(javax.xml.transform.Result result)`
    `javax.xml.stream.XMLEventWriter` | `createXMLEventWriter(java.io.Writer stream)`
    `abstract javax.xml.stream.XMLEventWriter` | `createXMLEventWriter(javax.xml.stream.XMLStreamWriter writer)`
    `javax.xml.stream.XMLStreamWriter` | `createXMLStreamWriter(javax.xml.transform.Result result)`
    `java.lang.Object` | `getProperty(java.lang.String name)`
    `boolean` | `isPropertySupported(java.lang.String name)`
    `void` | `setProperty(java.lang.String name, java.lang.Object value)`

    - ### Methods inherited from class javax.xml.stream.XMLOutputFactory

      `createXMLStreamWriter, createXMLStreamWriter, createXMLStreamWriter, newFactory, newFactory, newInstance, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractXMLOutputFactory

          public AbstractXMLOutputFactory()

  - ### Method Detail

    - #### createXMLStreamWriter

          public javax.xml.stream.XMLStreamWriter createXMLStreamWriter(javax.xml.transform.Result result)
                                                                 throws javax.xml.stream.XMLStreamException

      Specified by:
        `createXMLStreamWriter` in class `javax.xml.stream.XMLOutputFactory`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### createXMLEventWriter

          public javax.xml.stream.XMLEventWriter createXMLEventWriter(javax.xml.transform.Result result)
                                                               throws javax.xml.stream.XMLStreamException

      Specified by:
        `createXMLEventWriter` in class `javax.xml.stream.XMLOutputFactory`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### createXMLEventWriter

          public javax.xml.stream.XMLEventWriter createXMLEventWriter(java.io.OutputStream stream)
                                                               throws javax.xml.stream.XMLStreamException

      Specified by:
        `createXMLEventWriter` in class `javax.xml.stream.XMLOutputFactory`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### createXMLEventWriter

          public javax.xml.stream.XMLEventWriter createXMLEventWriter(java.io.OutputStream stream,
                                                                      java.lang.String encoding)
                                                               throws javax.xml.stream.XMLStreamException

      Specified by:
        `createXMLEventWriter` in class `javax.xml.stream.XMLOutputFactory`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### createXMLEventWriter

          public javax.xml.stream.XMLEventWriter createXMLEventWriter(java.io.Writer stream)
                                                               throws javax.xml.stream.XMLStreamException

      Specified by:
        `createXMLEventWriter` in class `javax.xml.stream.XMLOutputFactory`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### createXMLEventWriter

          public abstract javax.xml.stream.XMLEventWriter createXMLEventWriter(javax.xml.stream.XMLStreamWriter writer)
                                                                        throws javax.xml.stream.XMLStreamException

      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### isPropertySupported

          public boolean isPropertySupported(java.lang.String name)

      Specified by:
        `isPropertySupported` in class `javax.xml.stream.XMLOutputFactory`

    - #### getProperty

          public java.lang.Object getProperty(java.lang.String name)
                                       throws java.lang.IllegalArgumentException

      Specified by:
        `getProperty` in class `javax.xml.stream.XMLOutputFactory`
      Throws:
        `java.lang.IllegalArgumentException`

    - #### setProperty

          public void setProperty(java.lang.String name,
                                  java.lang.Object value)
                           throws java.lang.IllegalArgumentException

      Specified by:
        `setProperty` in class `javax.xml.stream.XMLOutputFactory`
      Throws:
        `java.lang.IllegalArgumentException`

Copyright © 2005-2021 Apache Software Foundation. All Rights Reserved.